// *************************************************************** //
// Filename:    WhichDlg.h                                         //
//                                                                 //
// Date:        May 19, 1994                                       //
//                                                                 //
// Description:                                                    //
// *************************************************************** //
#ifndef WHICHDLG_H
#define WHICHDLG_H 1

#include <owl\owlcore.h>
#include <owl\radiobut.h>
#include "whichdlg.rh"

// --------------------------------------------------------------- //
// TWhichDlgTransferStruct                                         //
// --------------------------------------------------------------- //
class TWhichDlgTransferStruct
{
  public:
    TWhichDlgTransferStruct() 
    {
      ObjectA = TRUE;
      ObjectB = FALSE;
    }
    BOOL ObjectA;
    BOOL ObjectB;
};

// --------------------------------------------------------------- //
// Which Dialog                                                    //
// --------------------------------------------------------------- //
class TWhichDialog : public TDialog
{
  protected:
  public:
    TWhichDialog(TWindow *, TResId, TWhichDlgTransferStruct &);
   ~TWhichDialog();
    void SetupWindow();
    void CleanupWindow();

    DECLARE_RESPONSE_TABLE(TWhichDialog);
};

#endif


